import { DividerSize } from "./public-api";
/** @ignore */
export declare class DividerComponent {
    /**
     * Defines if divider is vertical.
     */
    isVertical: boolean;
    /**
     * Defines divider's margins.
     */
    size: DividerSize;
    get isVerticalDivider(): boolean;
    get isHorizontalDivider(): boolean;
    get isNoMargins(): boolean;
    get isExtraSmall(): boolean;
    get isSmall(): boolean;
    get isMedium(): boolean;
}
